Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoMultiplexBank Class Reference
GoSdk

## Description

Represents a bank of related sensors to be used in multiplexing.

Inherits kObject.

## Public Member Functions
kStatus | GoMultiplexBank_AddSensor (GoMultiplexBank bank, GoSensor sensor)
| Adds a sensor to the given multiplexing bank. More...
kBool | GoMultiplexBank_HasSensor (GoMultiplexBank bank, k32u id)
| Returns a boolean value representing whether a sensor is in the multiplexing bank. More...
k32u | GoMultiplexBank_Id (GoMultiplexBank bank)
| Gets the ID of the given multiplexing bank. More...
kStatus | GoMultiplexBank_RemoveSensor (GoMultiplexBank bank, k32u id)
| Removes a sensor from the given multiplexing bank. More...
GoSensor | GoMultiplexBank_SensorAt (GoMultiplexBank bank, kSize index)
| Gets a sensor handle from the given index. More...
kSize | GoMultiplexBank_SensorCount (GoMultiplexBank bank)
| Returns the count corresponding to the number of sensors in the multiplexing bank. More...

## Member Function Documentation

kStatus GoMultiplexBank_AddSensor | ( | GoMultiplexBank | bank,
|  | GoSensor | sensor
| ) |  |

Adds a sensor to the given multiplexing bank.

Parameters

  bank | GoMultiplexBank object.
  sensor | A connected handle to the sensor to add.

Returns
  Operation status.

kBool GoMultiplexBank_HasSensor | ( | GoMultiplexBank | bank,
|  | k32u | id
| ) |  |

Returns a boolean value representing whether a sensor is in the multiplexing bank.

Parameters

  bank | GoMultiplexBank object.
  id | The sensor ID to search for.

Returns
  kTRUE if the sensor is in the multiplexing bank, kFALSE otherwise.

k32u GoMultiplexBank_Id | ( | GoMultiplexBank | bank | ) |

Gets the ID of the given multiplexing bank.

Parameters

  bank | GoMultiplexBank object.

Returns
  The multiplexing bank ID.

kStatus GoMultiplexBank_RemoveSensor | ( | GoMultiplexBank | bank,
|  | k32u | id
| ) |  |

Removes a sensor from the given multiplexing bank.

Parameters

  bank | GoMultiplexBank object.
  id | The ID of the sensor in the bank to the remove.

Returns
  Operation status.

GoSensor GoMultiplexBank_SensorAt | ( | GoMultiplexBank | bank,
|  | kSize | index
| ) |  |

Gets a sensor handle from the given index.

Parameters

  bank | GoMultiplexBank object.
  index | Multiplexing bank index from which to obtain a sensor handle.

Returns
  A GoSensor object.

kSize GoMultiplexBank_SensorCount | ( | GoMultiplexBank | bank | ) |

Returns the count corresponding to the number of sensors in the multiplexing bank.

Parameters

  bank | GoMultiplexBank object.

Returns
  The multiplexing bank's sensor count.

The documentation for this class was generated from the following file:

- GoMultiplexBank.h